Skip to main content
PUT
/
v1
/
crm
/
merchants
/
{merchantId}
/
equipment-orders
/
{equipmentOrderId}
/
items
/
{itemId}
Update an Equipment Order Item
curl --request PUT \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/equipment-orders/{equipmentOrderId}/items/{itemId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "quantity": 1,
  "serialNumber": "<string>",
  "terminalIdentificationNumber": "<string>",
  "connectionType": []
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "serialNumber": "<string>",
  "terminalIdentificationNumber": "<string>",
  "connectionType": [],
  "quantity": 1
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required
equipmentOrderId
string
required
itemId
string
required

Body

application/json
orderType
enum<string> | null
Available options:
placement,
lease,
rental,
sale,
reprogram,
var_only,
warranty_swap
modelId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
quantity
integer
default:1
Required range: -9007199254740991 <= x <= 9007199254740991
serialNumber
string | null
terminalIdentificationNumber
string | null
connectionType
enum<string>[] | null
Available options:
ip,
wifi,
gprs,
ios,
android

Response

The updated equipment order item.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orderId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orderType
enum<string> | null
required
Available options:
placement,
lease,
rental,
sale,
reprogram,
var_only,
warranty_swap
modelId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
serialNumber
string | null
required
terminalIdentificationNumber
string | null
required
connectionType
enum<string>[] | null
required
Available options:
ip,
wifi,
gprs,
ios,
android
quantity
integer
default:1
Required range: -9007199254740991 <= x <= 9007199254740991